PHP Manual
Prev |  | Next

# SwishResults->nextResult

(no version information, might be only in CVS)

SwishResults->nextResult -- Get the next search result

## Description

object SwishResults->nextResult ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Return Values

Returns the next SwishResult object in the result set or `FALSE` if there are no more results available.

## Examples

Example 1. Basic SwishResults->nextResult() example

`<?php try { $swish = new Swish("index.swish-e"); $search = $swish->prepare(); $results = $search->execute("lost"); while($result = $results->nextResult()) { /* do something with the result object */ } } catch (SwishException $e) { echo $e->getMessage(), "\n"; } ?>`

Prev | Home | Next
SwishResults->getRemovedStopwords | Up | SwishResults->seekResult